Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.ide.eclipse
Class EclipseProject

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.ide.eclipse.EclipseProject

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task

    public class EclipseProject

extends org.gradle.api.internal.ConventionTask

Generates an eclipse .project file.

Field Summary
`static java.lang.String` | `PROJECT_FILE_NAME`

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`EclipseProject(Project project, java.lang.String name)`

Method Summary
`java.lang.String` | `getProjectName()` Returns the name used for the name of the eclipse project
`ProjectType` | `getProjectType()` Returns the type of the Eclipse project
`void` | `setProjectName(java.lang.String projectName)` Sets the name used for the name of the eclipse project.
`void` | `setProjectType(ProjectType projectType)` Sets the type of the eclipse project

Methods inherited from class org.gradle.api.internal.ConventionTask
`conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift, methodMissing, propertyMissing, setProperty`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setSkipProperties, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass`

Field Detail

### PROJECT_FILE_NAME

    public static final java.lang.String PROJECT_FILE_NAME

See Also:
  Constant Field Values

Constructor Detail

### EclipseProject

    public EclipseProject(Project project,
                          java.lang.String name)

Method Detail

### getProjectName

    public java.lang.String getProjectName()

  Returns the name used for the name of the eclipse project

### setProjectName

    public void setProjectName(java.lang.String projectName)

  Sets the name used for the name of the eclipse project.

  Parameters:
    `projectName` - The project name

### getProjectType

    public ProjectType getProjectType()

  Returns the type of the Eclipse project

### setProjectType

    public void setProjectType(ProjectType projectType)

  Sets the type of the eclipse project

  Parameters:
    `projectType` - The project type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD